## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanNumberFormat Class Reference

Inheritance diagram for XalanNumberFormat:

[legend]
Collaboration diagram for XalanNumberFormat:

[legend]
List of all members.

## Public Member Functions

- XalanNumberFormat (MemoryManagerType &theManager)
- virtual ~XalanNumberFormat ()
- MemoryManagerType & getMemoryManager ()
- virtual XalanDOMString & format (double theValue, XalanDOMString &theResult)
    Format a number into a string.
- virtual XalanDOMString & format (int theValue, XalanDOMString &theResult)
    Format a number into a string.
- virtual XalanDOMString & format (unsigned int theValue, XalanDOMString &theResult)
    Format a number into a string.
- virtual XalanDOMString & format (long theValue, XalanDOMString &theResult)
    Format a number into a string.
- virtual XalanDOMString & format (unsigned long theValue, XalanDOMString &theResult)
    Format a number into a string.
- virtual bool isGroupingUsed () const
    Whether groupings are used for numbers, for example, "234,678".
- virtual void setGroupingUsed (bool bUsed)
    Change whether groupings are used for numbers, for example, "234,678".
- virtual void setGroupingSize (unsigned long size)
    Change the size of groupings, for example, "234,678" uses a size of "3".
- virtual void setGroupingSeparator (const XalanDOMString &s)
    Change the separator string used for groupings, for example, "234,678" uses the separator ",".

## Static Public Member Functions

- XalanNumberFormat * create (MemoryManagerType &theManager)

## Protected Member Functions

- void applyGrouping (const XalanDOMString &value, XalanDOMString &result)

## Constructor & Destructor Documentation

XalanNumberFormat::XalanNumberFormat | ( | MemoryManagerType & | theManager | ) | `[explicit]`

virtual XalanNumberFormat::~XalanNumberFormat | ( |  | ) | `[virtual]`

## Member Function Documentation

void XalanNumberFormat::applyGrouping | ( | const XalanDOMString & | value,
|  | XalanDOMString & | result
| ) | `[protected]`

XalanNumberFormat* XalanNumberFormat::create | ( | MemoryManagerType & | theManager | ) | `[static]`

virtual XalanDOMString& XalanNumberFormat::format | ( | unsigned long | theValue,
|  | XalanDOMString & | theResult
| ) | `[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented in ICUXalanNumberFormatProxy.

virtual XalanDOMString& XalanNumberFormat::format | ( | long | theValue,
|  | XalanDOMString & | theResult
| ) | `[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy.

virtual XalanDOMString& XalanNumberFormat::format | ( | unsigned int | theValue,
|  | XalanDOMString & | theResult
| ) | `[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented in ICUXalanNumberFormatProxy.

virtual XalanDOMString& XalanNumberFormat::format | ( | int | theValue,
|  | XalanDOMString & | theResult
| ) | `[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy.

virtual XalanDOMString& XalanNumberFormat::format | ( | double | theValue,
|  | XalanDOMString & | theResult
| ) | `[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy.

MemoryManagerType& XalanNumberFormat::getMemoryManager | ( |  | ) |

virtual bool XalanNumberFormat::isGroupingUsed | ( |  | ) | const`[virtual]`

Whether groupings are used for numbers, for example, "234,678".

Returns:
  true if grouping used

Reimplemented in ICUXalanNumberFormatProxy.

virtual void XalanNumberFormat::setGroupingSeparator | ( | const XalanDOMString & | s | ) | `[virtual]`

Change the separator string used for groupings, for example, "234,678" uses the separator ",".

Parameters:

  s | grouping separator string

Reimplemented in ICUXalanNumberFormatProxy.

virtual void XalanNumberFormat::setGroupingSize | ( | unsigned long | size | ) | `[virtual]`

Change the size of groupings, for example, "234,678" uses a size of "3".

Parameters:

  size | the grouping size

Reimplemented in ICUXalanNumberFormatProxy.

virtual void XalanNumberFormat::setGroupingUsed | ( | bool | bUsed | ) | `[virtual]`

Change whether groupings are used for numbers, for example, "234,678".

Parameters:

  bUsed | true to use grouping

Reimplemented in ICUXalanNumberFormatProxy.

The documentation for this class was generated from the following file:

- XalanNumberFormat.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.